[oe] [meta-oe][PATCH 06/11] p910nd: add 0.95 version

Otavio Salvador otavio at ossystems.com.br
Sun May 8 02:43:01 UTC 2011


Signed-off-by: Otavio Salvador <otavio at ossystems.com.br>
---
 meta-oe/recipes-support/p910nd/files/p910nd.init |   31 ++++++++++++++++++++++
 meta-oe/recipes-support/p910nd/p910nd_0.95.bb    |   30 +++++++++++++++++++++
 2 files changed, 61 insertions(+), 0 deletions(-)
 create mode 100755 meta-oe/recipes-support/p910nd/files/p910nd.init
 create mode 100644 meta-oe/recipes-support/p910nd/p910nd_0.95.bb

diff --git a/meta-oe/recipes-support/p910nd/files/p910nd.init b/meta-oe/recipes-support/p910nd/files/p910nd.init
new file mode 100755
index 0000000..a19c09e
--- /dev/null
+++ b/meta-oe/recipes-support/p910nd/files/p910nd.init
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+test -f /usr/sbin/p910nd || exit 0
+
+test -d /var/spool/p910nd || mkdir -p /var/spool/p910nd
+
+case "$1" in
+  start)
+    echo -n "Starting p910nd printer daemon: p910nd"
+    /usr/sbin/p910nd -b -f /dev/usb/lp0 0
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping p910nd printer daemon: p910nd"
+    start-stop-daemon --stop --quiet --exec /usr/sbin/p9100d
+   echo "."
+    ;;
+  restart)
+    echo -n "Stopping p910nd printer daemon: p910nd"
+    start-stop-daemon --stop --quiet --exec /usr/sbin/p9100d
+    sleep 2
+    echo -n " ... Starting p910nd printer daemon: p910nd " 
+    /usr/sbin/p910nd -b -f /dev/usb/lp0 0
+    echo "."
+    ;;
+  *)
+    echo "Usage: /etc/init.d/p910nd {start|stop|restart}"
+    exit 1
+esac
+
+exit 0
diff --git a/meta-oe/recipes-support/p910nd/p910nd_0.95.bb b/meta-oe/recipes-support/p910nd/p910nd_0.95.bb
new file mode 100644
index 0000000..8330c33
--- /dev/null
+++ b/meta-oe/recipes-support/p910nd/p910nd_0.95.bb
@@ -0,0 +1,30 @@
+DESCRIPTION = "A small network printer daemon for embedded situations that passes the job directly to the printer"
+SECTION = "console/utils"
+HOMEPAGE = "http://p910nd.sourceforge.net/"
+SECTION = "console/utils"
+LICENSE = "GPLv2"
+LIC_FILES_CHKSUM = "file://COPYING;md5=8ca43cbc842c2336e835926c2166c28b"
+
+PR = "r0"
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "p910nd"
+INITSCRIPT_PARAMS = "defaults 60 "
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/p910nd/p910nd-${PV}.tar.bz2 \
+           file://p910nd.init"
+
+SRC_URI[md5sum] = "c7ac6afdf7730ac8387a8e87198d4491"
+SRC_URI[sha256sum] = "7d78642c86dc247fbdef1ff85c56629dcdc6b2a457c786420299e284fffcb029"
+
+do_compile () {
+	${CC} ${LDFLAGS} -o p910nd p910nd.c
+}
+
+# The avahi stuff makes it work with bonjour printing
+do_install () {
+	install -D -m 0755 ${S}/p910nd ${D}${sbindir}/p910nd
+	install -D -m 0644 ${S}/p910nd.conf ${D}${sysconfdir}/p910nd.conf
+	install -D -m 0755 ${WORKDIR}/p910nd.init ${D}${sysconfdir}/init.d/p910nd
+}
-- 
1.7.2.5





More information about the Openembedded-devel mailing list